# Monitoring-pilot-trainees-cognitive-control-under-a-simulator-based-training-process

## Description
This repository contains software for analyzing EEG data to investigate changes in cognitive control levels in pilot trainees during a training process involving basic flight maneuvers. The code is specifically tailored for applying EEG microstate analysis and spectral power feature extraction to monitor cognitive control under various flight tasks across multiple training sessions.

## Data format
The software is designed to work with EEG data recorded using the 64-channel Biosemi system. The data should contain 64 channels labeled appropriately according to the Biosemi convention. Please ensure the data has undergone basic preprocessing before using it with this software.

## Installation and Requirements
The code in this repository was developed and tested using Python 3.8. It is recommended to use a similar or newer version to ensure compatibility.

## Dependencies
**MNE:** For EEG data handling and preprocessing.
**NumPy:** For numerical operations.
**SciPy:** For statistical analysis.
**Matplotlib:** For visualizing EEG data.

